<?php

/**
 * @file
 * Google Sheet API Settings Form.
 */

/**
 * Implements hook_form().
 */
function google_sheet_api_settings($form, &$form_state) {

  $form = array();
  $add_top_link = l(t('Add Contacts'), GOOGLE_SHEET_API_ADD);

  $add_top_link = <<<STR
    <p> $add_top_link </p>
STR;

  $form['data_table_add_link'] = array(
    '#name' => 'data_table',
    '#markup' => $add_top_link,
  );

  $json_auth = '';

  $form['json_auth'] = array(
    '#title' => 'Json Auth',
    '#type' => 'textarea',
    '#attributes' => array('required' => TRUE),
    '#default_value' => variable_get('json_auth', ''),
    '#prefix' => '<tr><td>',
    '#suffix' => '</td></tr>',
    '#required' => TRUE,
    '#description' => t('This is a Json file. This information is generated by URL :https://console.developers.google.com/apis/credentials.'),
  );

  $form['sheet_id'] = array(
    '#title' => 'Sheets Id',
    '#type' => 'textfield',
    '#default_value' => variable_get('sheet_id', ''),
    '#prefix' => '<tr><td>',
    '#suffix' => '</td></tr>',
    '#required' => TRUE,
    '#description' => t('This sheet id is generated by google sheet e.g 2ZwAFF4wiK-68NpQ-sl0QFZTuOWaNL_c_4A05pWqnRy1.'),
  );

  $form['group_id'] = array(
    '#title' => 'Group Id',
    '#type' => 'textfield',
    '#default_value' => variable_get('group_id', ''),
    '#prefix' => '<tr><td>',
    '#suffix' => '</td></tr>',
    '#required' => TRUE,
    '#description' => t('This group id is generated by google sheet api e.g gid=0.'),
  );

  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
    '#prefix' => '<tr><td colspan=2>',
    '#suffix' => '</td></tr></table>',
  );

  return system_settings_form($form);
}

/**
 * Implements hook_validate().
 */
function google_sheet_api_validate($element, &$form_state) {

  if (!isset($form_state['values']['json_auth']) || empty($form_state['values']['json_auth'])) {
    form_set_error('json_auth', t('Please Enter Json Auth'));
  }

  if (!isset($form_state['values']['sheet_id']) || empty($form_state['values']['sheet_id'])) {
    form_set_error('sheet_id', t('Please Enter Sheet Id'));
  }

  if (!isset($form_state['values']['group_id']) || empty($form_state['values']['group_id'])) {
    form_set_error('group_id', t('Please Enter Group Id'));
  }
}
